Skip to main content
PUT
/
reports
/
sask
/
v1
/
beneficiaries
Update beneficiaries
curl --request PUT \
  --url https://api.rrc.dev.finventi.com/reports/sask/v1/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "refId": "305697289_20250303_F1A2B3C4D5E6",
    "codeInForeignCountry": "305697289",
    "name": "UAB Inventi",
    "dateFrom": "2024-12-18",
    "dateTo": "2025-12-31",
    "country": "LV",
    "address": "Vilnius, Lvovo g. 25",
    "beneficiary": {
      "type": "F",
      "name": "Jonas",
      "surname": "Jonaitis",
      "birthDate": "1990-05-15",
      "addressCountry": "LV",
      "address": "Riga, Alberta st. 1",
      "codeCountry": "LV",
      "codeInForeignCountry": "39001011234",
      "documentType": "NON_LITHUANIAN_PASSPORT",
      "documentNumber": "AB123456",
      "nationalities": [
        "LV"
      ]
    }
  }
]
'
[
  {
    "status": "SUCCESS",
    "data": {
      "codeInForeignCountry": "305697289",
      "name": "UAB Inventi",
      "dateFrom": "2024-12-18",
      "dateTo": "2025-12-31",
      "country": "LV",
      "address": "Vilnius, Lvovo g. 25",
      "beneficiary": {
        "type": "F",
        "name": "Jonas",
        "surname": "Jonaitis",
        "birthDate": "1990-05-15",
        "addressCountry": "LV",
        "address": "Riga, Alberta st. 1",
        "codeCountry": "LV",
        "codeInForeignCountry": "39001011234",
        "documentType": "NON_LITHUANIAN_PASSPORT",
        "documentNumber": "AB123456",
        "nationalities": [
          "LV"
        ]
      },
      "refId": "305697289_20250303_F1A2B3C4D5E6"
    }
  }
]

Authorizations

Authorization
string
header
required

Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT

Body

application/json
codeInForeignCountry
string
required

Foreign country issued legal entity identification code

Maximum string length: 30
Example:

305697289

name
string
required

Legal entity name

Maximum string length: 120
Example:

"UAB Inventi"

dateFrom
string<date>
required

Date from which the beneficiary relationship is valid

Example:

"2024-12-18"

country
string
required

Country code of the legal entity (ISO 3166-1 alpha-2)

Minimum string length: 1
Example:

"LV"

beneficiary
object
required
refId
string
required

Reference ID of the beneficiary to update

Example:

"3c247e0c-944f-43d0-be20-a0c502d13f26"

dateTo
string<date>

Date until which the beneficiary relationship is valid

Example:

"2025-12-31"

address
string

Address of the beneficiary in free form

Maximum string length: 240
Example:

"Vilnius, Lvovo g. 25"

Response

All updated

status
enum<string>
Available options:
SUCCESS,
FAILED
data
object
errors
object[]
Last modified on April 9, 2026